<template>
    <lightning-card  title="Universal Search">
        <lightning-button label="Reset" slot="actions" onclick={handleReset}></lightning-button>

        <div class="slds-p-horizontal_small">
            <p class="slds-p-horizontal_small">Contact [Name, Title, Phone]</p>
            <c-universal-text-search
                    onrecord={onRecord}
                    object-api-name={objectApiName}
                    fields-to-query={fieldsToQuery}
                    fields-to-display={fieldsToDisplay}
                    fields-to-search-by={fieldsToSearchBy}
                    title={title}
                    placeholder={placeholder}
                    placeholder-empty-value={placeholderEmptyValue}
            >
            </c-universal-text-search>
        </div>
        </br></br>

        <div class="slds-p-horizontal_small">
            <div class="slds-box">
                <p class="slds-p-horizontal_small">Account [Name, Type, Phone] </p>
                <c-universal-text-search
                        onrecord={onRecord}
                        object-api-name={objectApiName1}
                        fields-to-query={fieldsToQuery1}
                        fields-to-display={fieldsToDisplay1}
                        fields-to-search-by={fieldsToSearchBy1}
                        title={title1}
                        placeholder={placeholder1}
                        is-required={isRequired1}
                        placeholder-empty-value={placeholderEmptyValue1}
                >
                </c-universal-text-search>
            </div>
        </div>
        </br>
        </br>
        <div class="slds-p-horizontal_small">
            <p class="slds-p-horizontal_small">Custom object Car [Brand__c, Cost__c, Color__c]</p>
            <c-universal-text-search
                    onrecord={onRecord}
                    object-api-name={objectApiName2}
                    fields-to-query={fieldsToQuery2}
                    fields-to-display={fieldsToDisplay2}
                    fields-to-search-by={fieldsToSearchBy2}
                    title={title2}
                    placeholder={placeholder2}
                    is-required={isRequired2}
                    placeholder-empty-value={placeholderEmptyValue2}
            >
            </c-universal-text-search>
        </div>
        <div slot="footer">
            <div> Selected record: {textToDisplay}</div>
            <div> Selected record Id: {idToDisplay}</div>
        </div>
    </lightning-card>
</template>